package com.younki.maidmatching.services.HTTP;

import com.google.gson.annotations.SerializedName;

import java.lang.reflect.Parameter;
import java.util.List;

public class JobResponse {
    @SerializedName("error")
    private boolean error;

    @SerializedName("message")
    private String message;

    @SerializedName("data")
    private List<Data> data;

    public boolean isError() {
        return error;
    }

    public void setError(boolean error) {
        this.error = error;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<Data> getData() {
        return data;
    }

    public void setData(List<Data> data) {
        this.data = data;
    }

    public static class Data {
        private int id;
        private int user_id;
        private String name;
        private String description;
        private String image;
        private String salary;
        private String address;
        private String location;
        private String recommended_age;
        private List<Skills> skills;
        private List<Parameters> parameters;
        private int recruit_id;
        private String accommodation;
        private String working_days;
        private String working_hours;
        private int user_kyc;

        private int applicant;
        private List<Applicants> applicants;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getUser_id() {
            return user_id;
        }

        public void setUser_id(int user_id) {
            this.user_id = user_id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getImage() {
            return image;
        }

        public void setImage(String image) {
            this.image = image;
        }

        public String getSalary() {
            return salary;
        }

        public void setSalary(String salary) {
            this.salary = salary;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getRecommended_age() {
            return recommended_age;
        }

        public void setRecommended_age(String recommended_age) {
            this.recommended_age = recommended_age;
        }

        public List<Skills> getSkills() {
            return skills;
        }

        public void setSkills(List<Skills> skills) {
            this.skills = skills;
        }

        public List<Parameters> getParameters() {
            return parameters;
        }

        public void setParameters(List<Parameters> parameters) {
            this.parameters = parameters;
        }

        public int getApplicant() {
            return applicant;
        }

        public void setApplicant(int applicant) {
            this.applicant = applicant;
        }

        public List<Applicants> getApplicants() {
            return applicants;
        }

        public void setApplicants(List<Applicants> applicants) {
            this.applicants = applicants;
        }

        public int getRecruit_id() {
            return recruit_id;
        }

        public void setRecruit_id(int recruit_id) {
            this.recruit_id = recruit_id;
        }

        public String getAccommodation() {
            return accommodation;
        }

        public void setAccommodation(String accommodation) {
            this.accommodation = accommodation;
        }

        public String getWorking_days() {
            return working_days;
        }

        public void setWorking_days(String working_days) {
            this.working_days = working_days;
        }

        public String getWorking_hours() {
            return working_hours;
        }

        public void setWorking_hours(String working_hours) {
            this.working_hours = working_hours;
        }

        public int getUser_kyc() {
            return user_kyc;
        }

        public void setUser_kyc(int user_kyc) {
            this.user_kyc = user_kyc;
        }

        public static class Skills {
            private int skill_id;
            private String name;

            public int getSkill_id() {
                return skill_id;
            }

            public void setSkill_id(int skill_id) {
                this.skill_id = skill_id;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }
        }
        public static class Parameters {
            private int parameter_id;
            private String weight;

            public int getParameter_id() {
                return parameter_id;
            }

            public void setParameter_id(int parameter_id) {
                this.parameter_id = parameter_id;
            }

            public String getWeight() {
                return weight;
            }

            public void setWeight(String weight) {
                this.weight = weight;
            }
        }
        public static class Applicants {
            private int user_id;

            public int getUser_id() {
                return user_id;
            }

            public void setUser_id(int user_id) {
                this.user_id = user_id;
            }
        }
    }
}
